Saturday, September 4, 2010

Google App Engine 0.0.17 gems released

We just released the 0.0.17 google-appengine gem. The 1.3.7 SDK is a bugfix release for 1.3.6. The getServingUrl() function for the new dynamic image resizing service was throwing a SecurityException in the SDK. For more information, see the recent post on the High-Performance Image Serving System.
  • App Engine SDK updated to version 1.3.7
  • App Engine APIs updated to version 0.0.20
Let us know if you have sample JRuby and Mirah apps that take advantage of any of the new APIs.

DM Adapter - David Masover just pushed dm-appengine 0.1.1. Pluralized default storage names are deprecated on App Engine and will be changed! To use singular storage names on an existing app, you will need to run a migration on your data.

Rails 2.3.9 - I updated the rails_appengine gem to support Rails 2.3.9. I've also updated the setup scripts for 2.3.5, 2.3.8 and 2.3.9. Based on this rack bug, it looks like we'll have Rails 2.3.10 soon.

Rails 3.0 - Now that Rails 3.0 and Bundler 1.0 have been released, we can start working on a new setup script. The main issue right now is that Bundler 1.0 doesn't work without Rubygems, so we will need to merge in functionality from Bundler08, and create our own environment file.

Dubious Demos - Recently, Michal Hantl (@michal_hantl) built a couple Dubious demo apps. Dubious is still very limited, but you can certainly build simple apps, and they spin-up in about a second.

Ruby|Web Conf - On September 10th, Nick Howard (@baroquebobcat) will be presenting Extreme Performance with Mirah and Dubious at Ruby|Web Conference in Snowbird. Nick has been working on the continuous build system and generators for Dubious.

1 comment:

  1. Great job!
    I'm looking forward to bundler 1.0.0 support.

    ReplyDelete